{% extends 'base.html' %}

{% block content %}
<h1>Count Word by Author</h1>

    <form method="post" action="{% url 'count_word_by_author' %}">
        {% csrf_token %}
        <label for="word">Enter a word:</label>
        <input type="text" id="word" name="word" required>
        <button type="submit">Submit</button>
    </form>

    {% if authors and counts %}
    <div id="chart-container"></div>

    <script src="https://cdn.plot.ly/plotly-latest.min.js"></script>
    <script>
        // Dane z widoku Django przekazane jako kontekst
        const authors = JSON.parse('{{ authors|safe }}');
        const counts = JSON.parse('{{ counts|safe }}');

        // Wykres słupkowy
        const data = [
            {
                x: authors,
                y: counts,
                type: 'bar'
            }
        ];

        const layout = {
            title: 'Liczba wystąpień słowa "{{ word }}" dla każdego autora',
            xaxis: {
                tickangle: -45
            },
            yaxis: {
                title: 'Liczba wystąpień'
            }
        };

        Plotly.newPlot('chart-container', data, layout);
    </script>
    {% endif %}
{% endblock %}
